%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/itchyny/timefmt-go
Version:                0.1.6

%gometa -L

%global common_description %{expand:
Efficient time formatting library (strftime, strptime) for Golang.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

Name:           golang-github-itchyny-timefmt
Release:    2%{?dist}
Summary:        Efficient time formatting library (strftime, strptime) for Golang

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com>
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
